// @TITLE "float.cc: floating-point classes"
//
// "float" classes
//    This file includes all the files, after defining some macros
// to refer to "float" elements, collections, vectors, and matrices.
//
// David Kotz 1994

// $Id: float.cc,v 1.9 95/12/17 00:07:47 dfk release Locker: dfk $

#include "dapple.h"		// declare all the types

#define Element float
#define Collection floatCollection
#define Vector floatVector
#define Matrix floatMatrix
#define Slice floatSlice
#define HalfSlice floatHalfSlice
#define FLOAT_ELEMENTS

#include "Collection.cc"
#include "Vector.cc"
#include "Slice.cc"
#include "Matrix.cc"
